## debhelper 11.1.6~mx15

=== debian/changelog ===
debhelper (11.1.6~mx15) mx; urgency=medium

  * Rebuild for MX-15/16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 26 Aug 2018 10:23:24 -0400

debhelper (11.1.6~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Apr 2018 13:23:52 -0700

debhelper (11.1.6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports:
    * Lower the required dpkg version (cherry-picked from the upcoming
      debhelper version).

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Apr 2018 19:58:57 +0200

debhelper (11.1.6) unstable; urgency=medium

  * Dh_Lib: Avoid passing invalid parameters to a function, which
    caused tons of "package ARRAY(...) is not in control info"
    warnings from dh in some cases.  It triggers when dh thinks
    the package might have architecture qualified debhelper config
    files.  The warning is harmless (besides the noise) for all
    native builds and most cross builds, but it did invalidate
    attempt to make pkgfile() use "DEB_TARGET_ARCH{,_OS}"
    (see 11.1.5~alpha1).  Thanks to Andreas Beckmann for reporting
    the issue.  (Closes: #891546)
  * dh: Refactor handling of sequences to simplify some code paths.
  * autopkgtests: Remove "use-name" tests as it no longer works.
    The debhelper module makes assumptions in which directory it is
    run from and the test breaks these assumptions.
  * debian/control: Comment out versioned dependency on make.
    It is not strictly necessary for Debian and causes issues with
    make-guile.  On the other hand, it is useful for people
    backporting debhelper on derivatives and hench leaving it as a
    comment.  (Closes: #892586)
  * debian/control: Bump dependency on dh-autoreconf for the fix for
    #889567.
  * dh_installinfo: Accept --sourcedir like the documentation says
    for compat 11.  Prevently the option was incorrectly silently
    ignored.  Thanks to Nicolas Boulenguez for the report and the
    patch.  (Closes: #894226)
  * dh_ucf.1: Apply patch from Nicolas Boulenguez to add missing
    documentation of the "--all" and non-option parameters.
    (Closes: #894228)
  * dh_installxfonts: Apply patch from Nicolas Boulenguez.  This
    ensures that the generated maintscript snippets are bit-for-bit
    reproducible when a package ships xfons in multiple fonts
    directories.  (Closes: #894227)
  * Dh_Lib: Improve the "make_symlink" code to avoid non-compliant
    symlinks when the link name was not a normalized path.  Note
    that ".."-segments are now disallowed in the link name (but not
    the link target).  Thanks to Nicolas Boulenguez for reporting
    the bug plus the test cases.  (Closes: #894229)
  * dh_installinfo: Report installed files to dh_missing.  Thanks
    to Daniel Kahn Gillmor for reporting this omission.
    (Closes: #893160)
  * Dh_Lib: Make Dh_Lib loadable again without a debian/control being
    present.  This makes the autopkgtests work again.

 -- Niels Thykier <niels@thykier.net>  Thu, 29 Mar 2018 19:26:59 +0000

debhelper (11.1.5) unstable; urgency=medium

  * Upload to unstable.
  * Add a warning for using the new experimental feature for
    requesting the compat level via the Build-Depends field.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Feb 2018 10:05:22 +0000

debhelper (11.1.5~alpha1) experimental; urgency=medium

  * dh_installdocs: Add missing documentation about --sourcedir
    in compat 11.
  * dh_installdocs: Document that d/tmp is used by default
    in compat 11.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * meson.pm: Apply patch from Jakub Wilk to fix typo in the name
    of the "C.UTF-8" locale.
  * autoscripts/postinst-systemd-restart: Apply patch from
    Christoph Biedl to fix indentation.  (Closes: #890373)
  * dh_testroot: With the advent of DEB_RULES_REQUIRES_ROOT, it
    no longer needs to read debian/control to tell whether root
    is needed or not.  However, the warning remains for calling
    dh_testroot outside the source root (as we may need to check
    the compat level in a future version of debhelper).
  * makefile.pm: Synchronize output from make (via -O) when
    make runs in parallel except when STDOUT is a TTY.  Thanks
    to Goswin von Brederlow for the suggestion.  (Closes: #768791)
  * dh_gencontrol: Avoid uninitialized value warning when there
    are no build-ids (e.g. because the builder disabled the
    dbgsym building via DEB_BUILD_OPTIONS).  This regression
    was introduced in 11.1.  Thanks to Christian Marillat for
    reporting the bug.  (Closes: #890736)
  * Dh_Lib: pkgfile() now properly uses for DEB_TARGET_ARCH{,_OS}
    when the package is set to be built for the target
    architecture.
  * d/control: Drop dependency on binutils; it does not reflect
    our actual requirement and the package or builder will ensure
    that the current binutils is installed for other reasons
    any way.  Thanks to Helmut Grohne for the report.
    (Closes: #891187)
  * Dh_Lib: Add an experimental feature to determine the requested
    compat level from the Build-Depends field.

 -- Niels Thykier <niels@thykier.net>  Sat, 24 Feb 2018 16:01:31 +0000
