=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
Build-Depends: dpkg-dev (>= 1.18.0~),
               perl:any,
               po4a,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends: autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
         dh-autoreconf (>= 12~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
         dh-strip-nondeterminism,
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
         dpkg (>= 1.18.0~),
         dpkg-dev (>= 1.18.2~),
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
# makefile.pm uses -O which according to #768791 requires make (>= 4~).
# The -O is an aid to maintainers, debhelper works perfectly fine without it.
# (commented to avoid issues with make-guile, #892586)
#         make (>= 4~),
         man-db,
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38),
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
#        cmake (<< 3.9~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
        meson (<< 0.40.0~),
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make, dwz
Provides: ${dh:CompatLevels}
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: dh-systemd
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: debhelper (>= 9.20160709),
         ${misc:Depends},
Description: debhelper add-on to handle systemd unit files - transitional package
 This package is for transitional purposes and can be removed safely.
