## debhelper 11.1.6~mx17+1

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,11 @@
 # Version 16 fixes #887482, version 17 fixes #889567
 # Constraint can be relaxed if packages do not rely/require any of the
 # above fixes
-         dh-autoreconf (>= 12~),
+         dh-autoreconf (>= 17~),
 # Version constraint is to get a version of dh-strip-nondeterminism
 # without several bugs.  The constraint can be relaxed if an older
 # version is sufficient.
-         dh-strip-nondeterminism,
+         dh-strip-nondeterminism (>= 0.028~),
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
@@ -42,7 +42,7 @@
 # To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
 # - Can be dropped (with the caveat that cmake packages may behave differently
 #   depending on the version of cmake).
-#        cmake (<< 3.9~),
+        cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
 Replaces: dh-systemd (<< 1.38)
