## debhelper 11.1.6ubuntu1

=== debian/changelog ===
debhelper (11.1.6ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 30 Mar 2018 02:01:04 -0600

debhelper (11.1.5ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Mar 2018 20:54:09 -0700
