=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-Build-Depends: dpkg-dev (>= 1.18.0~),
+Build-Depends: dpkg (>= 1.19.0.5~),
+               dpkg-dev (>= 1.19.0.5~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
@@ -25,9 +26,9 @@
 # without several bugs.  The constraint can be relaxed if an older
 # version is sufficient.
          dh-strip-nondeterminism (>= 0.028~),
-# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
-         dpkg (>= 1.18.0~),
-         dpkg-dev (>= 1.18.2~),
+# Rules-Requires-Root support.  Otherwise it stops at 1.18.0/1.18.2 for dbgsym support.
+         dpkg (>= 1.19.0.5~),
+         dpkg-dev (>= 1.19.0.5~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
 # makefile.pm uses -O which according to #768791 requires make (>= 4~).
@@ -45,7 +46,8 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make, dwz
 Provides: ${dh:CompatLevels}
 Multi-Arch: foreign
