=== t/dh_missing/template/Makefile ===
install:
	install -m 755 -d debian/tmp/usr/bin
	install -m 644 file-for-foo debian/tmp/usr/bin/file-for-foo

installmore: install
	install -m 644 file-for-foo debian/tmp/usr/bin/file-for-foo-more
	install -m 644 file-for-foo debian/tmp/usr/bin/file-for-foo-lots
