=== debian/changelog ===
debhelper (11.1.6ubuntu2) bionic; urgency=medium

  [ Iain Lane ]
  * Cherry-pick this change from Debian (98d248f4) (LP: #1767792)

  [ Nicolas Boulenguez ]
  * dh_installxfonts: Fix typo that causes a misc:Depends on
    non-existing xfont-utils.  (Closes: #894835)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 10 May 2018 10:11:57 +0100

debhelper (2.1.15) u
