=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-Build-Depends: dpkg (>= 1.19.0.5~),
-               dpkg-dev (>= 1.19.0.5~),
+Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -26,9 +24,9 @@
 # without several bugs.  The constraint can be relaxed if an older
 # version is sufficient.
          dh-strip-nondeterminism (>= 0.028~),
-# Rules-Requires-Root support.  Otherwise it stops at 1.18.0/1.18.2 for dbgsym support.
-         dpkg (>= 1.19.0.5~),
-         dpkg-dev (>= 1.19.0.5~),
+# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
+         dpkg (>= 1.18.0~),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
 # makefile.pm uses -O which according to #768791 requires make (>= 4~).
@@ -46,8 +44,7 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make, dwz
 Provides: ${dh:CompatLevels}
 Multi-Arch: foreign
