=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -27,6 +28,7 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
+         dwz,
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
 # makefile.pm uses -O which according to #768791 requires make (>= 4~).
@@ -44,8 +46,12 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
-Replaces: dh-systemd (<< 1.38)
-Suggests: dh-make, dwz
+# The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
+# fixes in the subsequent uploads. It is only needed for cross-building.
+        qt5-qmake (<< 5.9.2+dfsg-8),
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
+Suggests: dh-make
 Provides: ${dh:CompatLevels}
 Multi-Arch: foreign
 Description: helper programs for debian/rules
