## debhelper 11.5

=== debian/changelog ===
debhelper (11.5) unstable; urgency=medium

  [ Daniele Nicolodi ]
  * dh_installsystemduser: New helper responsible for istalling package
    maintainer supplied systemd user instance units and to produce
    postinst and postrm maintiner scripts code blocks to appropriately
    enable, mask and disable units when the package is installed,
    upgraded, or removed.  (Closes: #764678)

  [ Niels Thykier ]
  * dh_installsystemd.1: Improve the documentation for --name to make
    it more clear that it also changes the name of the source files in
    the debian directory.  Thanks to Emel Hasdal for reporting the
    issue and reviewing the change.  (Closes: #899983)

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Oct 2018 16:07:01 +0000

debhelper (11.4.1) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.pod: Quote the value of INSTALL in description of
    compat level 11.  Thanks to Josh Triplett for the suggestion
    (Closes: #908906)
  * d/changelog: Fix typos in old entries.
  * dh_strip: Remove empty /usr/lib/debug directories left over
    by dh_dwz.  Thanks to Ferenc Wágner for reporting the issue.
    (Closes: #909303)
  * dh: Disable optimization to skip tools based on command-line
    parameters when dh is passed long options.  Since debhelper
    had implicit support for auto-abbrevation of long options
    and people have started to rely on it, the optimization in
    debhelper/11.4 caused regressions.  The optimization is
    still enabled for short options.  (Closes: #909704)

  [ Josh Triplett ]
  * debhelper.pod: Document how to declare the debhelper compat
    level via the "debhelper-compat (= X)"-method.
    (Closes: #908909)
  * debhelper.pod: Document that we do not provide debhelper-compat
    for experimental/beta versions of compat levels.
    (Closes: #908907)
  * doc/PROGRAMMING: Fix typos.

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Sep 2018 15:49:38 +0000

debhelper (11.4) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_dwz.1: Remove now obsolete note in manpage claming that dh_dwz
    was experimental.  Since debhelper/11.3, dh_dwz was no longer
    experimental.
  * cmake.pm: Explicitly set CMAKE_INSTALL_LIBDIR on native builds.
    This should not make any pratical difference but aligns the
    behaviour of native and cross builds.  Thanks to Simon McVittie
    for the suggestion.  (Closes: #903042)
  * autoconf.pm: Leave --libexecdir at upstream default (/usr/libexec)
    in compat 12 and later.  (Closes: #859724)
  * meson.pm: Ditto.
  * dh: Support implicitly loading addons via "dh-sequence-${name}"
    relations in Build-Depends (which would imply "dh ... --with ${name}").
    Only simple relations in Build-Depends are considered at the moment.
  * debian/control: Provide dh-sequence-dwz, dh-sequence-installinitramfs,
    and dh-sequence-systemd, which enables packages to use the new
    feature to implicitly autoload dh addons via Build-Depends.
  * dh_md5sums: Rewrite handling of conffiles and excludes to better
    support an arbitrary number of files that should be omitted from the
    md5sums file.  Previously, dh_md5sums could fail with the error:
    """... "/bin/sh": Argument list too long at ..."""
    (Closes: #864182)
  * dh_installinit.1: Correct documentation which was inaccurate in relation
    to which compat levels where dh_installinit still supported systemd
    items and upstart jobs.  Thanks to Theodore Y. Ts'o for bring up the
    issue.
  * dh_installdeb: In compat 12, ignore the maintainer provided conffiles.
    It has not been useful since compat 3.
  * Dh_Lib.pm: isnative() now also resets $dh{VERSION} as a side-effect when
    using the cache to answer the request.  This is mostly useful because
    it enables the following optimization.
  * Dh_Lib.pm: Have isnative() special-case debian/changelog to avoid
    reparsing that file over and over in the same helper.
  * dh_gconf: Explicitly declare the --priority parameter with the intention
    to remove it from the default debhelper options.
  * dh_installemacsen: Ditto.
  * dh_installgsettings: Ditto.
  * dh_installudev: Ditto.
  * dh_installwm: Ditto.
  * Dh_Getopt.pm: Remove --priority from the list of options supported by all
    debhelper tools.  The only external consumer was dh_installtex from
    tex-common, which was fixed in 6.10.
  * dh_installinit: In compat 12, pass --skip-systemd-native to update-rc.d
    to make it ignore systemd services.
  * dh_installsystemd: In compat 12, avoid relying on dh_installinit's
    shell snippets for starting services.  (Closes: #887904, #887900)
  * dh_installinit: Drop unnecessary "systemctl daemon-reload" in
    auto-generated postrm script.  The systemd package has a trigger for
    handling sysvinit scripts and dh_installsystemd handles the requirement
    for native systemd unit files.
  * dh_clean: Explicitly declare the -k/--keep parameter with the intention
    to remove it from the default debhelper options.
  * dh_installchangelogs: Ditto.
  * dh_strip: Ditto.
  * Dh_Getopt.pm: Remove -k/--keep from the list of options supported by all
    debhelper tools.  The only external consumer was dh_gtkmodules which is now
    deprecated and a "noop" command.  No consumers of dh_gtkmodules appear to
    pass -k/--keep to dh_gtkmodules any longer.
  * dh: Rewrite command line optimization logic to enable support for a new
    NOOP PROMISE for command line options.  This will make dh able to skip
    helpers in some cases even when passed options.  (Closes: #866581)
  * dh_*: Add a NOOP PROMISE for command options where applicable.
  * dh: Remove old compatibility code from compat 10 that never worked.
  * Dh_Getopt.pm: Fix a bug that would make "-S" be interpreted as "-s" when
    "-S" was not given an argument.
  * debian/control: Bump Standards-Versions to 4.2.1 - no changes required.
  * debhelper.pod: Declare compat 12 in beta testing.

  [ Juhani Numminen ]
  * dh_installsystemd.1: Fix typo in manpage.

