## debhelper 12~bpo9+1~bpo9+1

=== debian/changelog ===
debhelper (12~bpo9+1~bpo9+1) UNRELEASED; urgency=medium

  * stretch-backports Rebuilt for stretch.

 -- Niels Thykier <niels@thykier.net>  Tue, 05 Feb 2019 13:35:43 +0100

debhelper (12~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Thu, 03 Jan 2019 20:59:01 +0000

debhelper (12) unstable; urgency=medium

  [ Niels Thykier ]
  * Release debhelper/12 marking compat 12 as stable.
  * dh: Special NOOP PROMISE of cli-options() to always allow skipping
    the helper (as we know no option can make it change behaviour).

  [ Dmitry Shachnev ]
  * dh_compress: Do not compress mkdocs search indices
    (search_index.json).

 -- Niels Thykier <niels@thykier.net>  Mon, 24 Dec 2018 13:47:55 +0000

debhelper (11.5.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 18 Dec 2018 20:03:56 +0000

debhelper (11.5.4) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib.pm: Reopen stdin to read from /dev/null in doit (and its sibling
    functions) to prevent issues when stdin is open in write-only mode
    (which is what nohup(1) does).  Thanks to Julian Gilbey for reporting
    the issue and providing a sample patch for it as well.
    (Closes: #913663)
  * fr.po: Add missing dash in "--parallel" in a translation.  Thanks to
    Christian Marillat for reporting the issue.  (Closes: #915255)
  * debhelper.7: Document that the "python-distutils" build system is
    removed in compat 12.  Thanks to Axel Beckert for reporting the
    omission.  (Closes: #915530)

  [ Luca Boccassi ]
  * makefile.pm: revert passing V=0/1 to makefiles. Fixes FTBFS in apcupsd
    (and possibly more).
    (Closes: #914419)

 -- Niels Thykier <niels@thykier.net>  Sat, 15 Dec 2018 19:18:47 +0000

debhelper (11.5.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * cmake.pm: Pass the usual CMAKE_SYSTEM_PROCESSOR for ppc64el
    when cross compiling.   (Closes: #913425)

 -- Niels Thykier <niels@thykier.net>  Sat, 10 Nov 2018 21:42:12 +0000

debhelper (11.5.2) unstable; urgency=medium

  [ Luca Boccassi ]
  * makefile.pm: Pass V=0 or V=1 to the make file depending on
    whether "terse" is set in DEB_BUILD_OPTIONS.

  [ Niels Thykier ]
  * dh_gconf: Mark dh_gconf as deprecated (see #908845).
  * Dh_Lib.pm: Separate lowest non-deprecated compat level and
    the lowest compat level we generate "debhelper-compat (= X)"
    relations for.
  * Dh_Lib.pm: Open compat level 13 as an experimental compat
    level.
  * meson.pm: In compat 13, run tests with "meson test" rather
    than "ninja test".  Thanks to Simon McVittie for the
    suggestion.  (Closes: #912560)
  * dh: Correctly include dh_installsystemduser in the sequence
    in compat 12.  It was excluded due to an inverted boolean
    meaning it was added in compat up to (and incl.) compat 11.
    Thanks to Michael Biebl for reporting the issue.
    (Closes: #913329)
  * fr.po: Correct translations for dh_installman.1 which
    incorrectly implied that dh_installman was deprecated.
    Thanks to Laurent Bigonville for reporting the issue.
    (Closes: #912978)

  [ Helmut Grohne ]
  * cmake.pm: Pass QMAKE_EXECUTABLE when cross-building.
    (Closes: #913415)


 -- Niels Thykier <niels@thykier.net>  Sat, 10 Nov 2018 19:51:25 +0000

debhelper (11.5.1) unstable; urgency=medium

  * dh_systemd_start: Fix bug introduced in debhelper/11.5 where
    dh_systemd_start would fail to substitute a token in the
    generated maintscript for maintainer scripts when using
    "--restart-after-upgrade" (including when the option is
    on by default).  Thanks to Colin Watson for reporting the
    bug.  (Closes: #912420)

 -- Niels Thykier <niels@thykier.net>  Wed, 31 Oct 2018 21:02:00 +0000

debhelper (11.3.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Jul 2018 18:28:12 +0000

debhelper (11.3.2~bpo9+2) stretch-backports; urgency=medium

  * Remove Breaks against qt5-qmake (neither needed nor satisfiable in
    backports).

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Jun 2018 18:38:09 +0200

debhelper (11.3.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:42:20 +0200
