=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -31,10 +30,6 @@
          dwz,
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
-# makefile.pm uses -O which according to #768791 requires make (>= 4~).
-# The -O is an aid to maintainers, debhelper works perfectly fine without it.
-# (commented to avoid issues with make-guile, #892586)
-#         make (>= 4~),
          man-db,
          po-debconf,
          ${misc:Depends},
@@ -46,13 +41,16 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
+# Re-add if qt5-qmake is added to stretch-backports
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
-        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+#        qt5-qmake (<< 5.9.2+dfsg-8),
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make
-Provides: ${dh:CompatLevels}
+Provides: ${dh:CompatLevels},
+          dh-sequence-dwz,
+          dh-sequence-installinitramfs,
+          dh-sequence-systemd,
 Multi-Arch: foreign
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
