## debhelper 12~mx17+1

=== debian/changelog ===
debhelper (12~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 12 Jan 2019 11:55:37 -0800
