=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
