## debhelper 12ubuntu1

=== debian/changelog ===
debhelper (12ubuntu1) disco; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Dec 2018 14:29:23 -0600

debhelper (11.5.3ubuntu1) disco; urgency=medium

  * Merge from Debian testing.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Dec 2018 12:21:52 +0100
